%define major 1
%define libname %mklibname termkey %{major}
%define develname %mklibname termkey -d

Name: libtermkey
Version: 0.22
Release: %mkrel 5
Summary: Library for easy processing of keyboard entry
# the licensing breakdown is described in detail in the LICENSE file
License: MIT and BSD and ISC
Group: Development/C
URL: http://www.leonerd.org.uk/code/libtermkey/
Source0: http://www.leonerd.org.uk/code/libtermkey/%{name}-%{version}.tar.gz
BuildRequires: pkgconfig(unibilium)
BuildRequires: libtool

%description
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{libname}
Summary: Library for easy processing of keyboard entry
Group: System/Libraries

%description -n %{libname}
This library allows easy processing of keyboard entry from terminal-based
programs. It handles all the necessary logic to recognize special keys, UTF-8
combining, and so on, with a simple interface.

%package -n %{develname}
Summary: Development libraries for libtermkey
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Obsoletes: %{_lib}termkey-static-devel < 0.20-3
Obsoletes: %{_lib}termkey0 < 0.20-3

%description -n %{develname}
Development libraries for libtermkey.

%prep
%setup -q

%build
%set_build_flags
%make_build PREFIX=%{_prefix} LIBDIR=%{_libdir}

%install
%make_install PREFIX=%{_prefix} LIBDIR=%{_libdir}

#we don't want these
find %{buildroot} \( -name "*.a" -o -name "*.la" \) -delete

%check
# Tests are currently disabled because some require network access
# Working with upstream to split these out
#./run-tests
#./run-benchmarks

%files -n %{libname}
%{_libdir}/libtermkey.so.%{major}
%{_libdir}/libtermkey.so.%{major}.*

%files -n %{develname}
%{_libdir}/libtermkey.so
%{_libdir}/pkgconfig/termkey.pc
%{_includedir}/termkey*.h
%{_mandir}/man?/termkey*.?*


%changelog
* Wed Mar 16 2022 umeabot <umeabot> 0.22-5.mga9
+ Revision: 1794827
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.22-4.mga8
+ Revision: 1526245
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Mon Apr 29 2019 kekepower <kekepower> 0.22-3.mga7
+ Revision: 1395915
- Add BR for unibilium-devel

* Mon Apr 29 2019 kekepower <kekepower> 0.22-2.mga7
+ Revision: 1395898
- Rebuild to fix nvim crash (mga#24735)

* Fri Apr 05 2019 shlomif <shlomif> 0.22-1.mga7
+ Revision: 1386121
- New version 0.22

* Sun Sep 23 2018 umeabot <umeabot> 0.20-4.mga7
+ Revision: 1299182
- Mageia 7 Mass Rebuild

* Thu Oct 19 2017 wally <wally> 0.20-3.mga7
+ Revision: 1172811
- fix lib major
- drop static devel pkg

* Fri Sep 15 2017 cjw <cjw> 0.20-2.mga7
+ Revision: 1153990
- setup compile flags

* Sun Jul 16 2017 shlomif <shlomif> 0.20-1.mga7
+ Revision: 1123871
- New version 0.20

* Sat Jan 14 2017 shlomif <shlomif> 0.19-1.mga6
+ Revision: 1081716
- New version 0.19

* Mon Jan 04 2016 tv <tv> 0.18-2.mga6
+ Revision: 919426
- adjust file list
- adjust file list

* Mon Nov 16 2015 shlomif <shlomif> 0.18-1.mga6
+ Revision: 903688
- New version 0.18

* Thu Aug 20 2015 shlomif <shlomif> 0.17-1.mga6
+ Revision: 866901
- Add missing BR
- Importing libtermkey based on libuv

